Topic: Non future support of Mac OSX 10/6/8.

Epic is my favorite browser and why are they stopping supporting Mac OSX 10.6.8?
It is getting difficult to find a browser that supports Mac OSX 10.6.8.
I'm curious as to what it means when they say no more support.
I download the new version 49.0.2575.1 but am afraid to use it as I think this version
will not support my OSX anymore. Does anyone have any clues or answers?
Thanks,
Stan

Re: Non future support of Mac OSX 10/6/8.

Hi Stan,

Correct, newer version of Epic won't work in the old version of Mac. I emailed you the older version link. You can download it from there.

Thanks
Shilad.

Re: Non future support of Mac OSX 10/6/8.

I'm presently using Epic v49.0.2575.0 using Mac OSX 10.6.8 and it works fine. I won't be using any updates so I'm assuming this version will still work. However, I need to know the answer to this question.

"What does it mean when it says "Non future support of Mac OSX 10.6.8?"

Does it mean that my older version, although still working, is not protected? Or What?

If so, why is Epic going to stop supporting it? Many people want to stay on Mac OSX 10.6.8?

Thanks,
Stan

Re: Non future support of Mac OSX 10/6/8.

I just started using Epic and my OS is 10.8.5 - Mountain Lion. However, the first thing I saw on Epic was there would be no support for Mac OS after 10.8.5.

Re: Non future support of Mac OSX 10/6/8.

Stopping support simply means that there will be no updates. Epic will continue to work just as it does now.
In the long term that means that some updated web sites will not be compatible. However, that could be 5 years away. I wouldn't worry about it.